Summary: A text mode mail user agent.
Name: mutt
%define pversion 1.0.1
Version: %{pversion}i
Release: 7mdk
Serial: 1
Copyright: GPL
Group: Networking/Mail
Source: ftp://ftp.guug.de/pub/mutt/mutt-%{pversion}i.tar.bz2
Source1: mutt.wmconfig.bz2
Patch0: mutt-nosetgid.patch.bz2
Patch1: mutt-default.patch.bz2
Patch2: mutt-%{pversion}-Muttrc.colour.patch.bz2
Patch3: mutt-%{pversion}-Muttrc.compressed_folders.patch.bz2
Patch4: patch-1.0.rr.compressed.2.bz2
Url: http://www.mutt.org/
Requires: slang >= 0.99.38, smtpdaemon, urlview
Buildroot: /var/tmp/mutt-root

%description
Mutt is a text mode mail user agent. Mutt supports color, threading,
arbitrary key remapping, and a lot of customization.

You should install mutt if you've used mutt in the past and you prefer
it, or if you're new to mail programs and you haven't decided which
one you're going to use.

%prep
%setup -q -n mutt-%{pversion}
%patch0 -p1 -b .nosetgid
%patch1 -p1 -b .default
%patch2 -b .colour
%patch3 -p1 -b .compressed_folders
%patch4 -p1 -b .compressed

%build
aclocal -I m4
autoheader
cd m4
make -f Makefile.am.in
cd ..
automake --foreign
autoconf
export -n LINGUAS
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure \
	--prefix=/usr --with-sharedir=/etc --sysconfdir=/etc \
	--with-docdir=/usr/doc/mutt-%{version} \
	--enable-pop --enable-imap --enable-compressed\
	--disable-warnings --with-slang --disable-domain
make
%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr sharedir=$RPM_BUILD_ROOT/etc \
  sysconfdir=$RPM_BUILD_ROOT/etc \
  docdir=$RPM_BUILD_ROOT/usr/doc/mutt-%{version} install
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
bzcat $RPM_SOURCE_DIR/mutt.wmconfig.bz2 > $RPM_BUILD_ROOT/etc/X11/wmconfig/mutt

# This is for the menu...
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu/
cat > $RPM_BUILD_ROOT/usr/lib/menu/%{name} <<EOF
?package(mutt):command="/usr/bin/mutt" needs="text" \
section="Networking/Mail" title="Mutt" \
icon=mini-mail.xpm \
longtitle="Mutt mailer"
EOF

%find_lang %{name}

%post
if test -x /usr/bin/update-menus; then update-menus; fi

%postun
if test -x /usr/bin/update-menus; then update-menus; fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%config /etc/Muttrc
%dir /etc/charsets
%config (missingok) /etc/X11/wmconfig/mutt
%config (missingok) /etc/charsets/*
%doc contrib/Mush.rc contrib/Pine.rc README* contrib/sample.* NEWS
%doc COPYRIGHT doc/manual.txt contrib/language* mime.types
/usr/bin/mutt
/usr/man/man1/mutt.1*
/usr/lib/menu/%{name}

%changelog
* Wed Apr 27 2000 DindinX <odin@mandrakesoft.com> 1.0.1i-7mdk
- Recompile fix.
- fix the color scheme.

* Wed Apr  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.1i-6mdk
- By default active colors.
- Believe me or not, fix menu and %post.
- Use find_lang macros for locales.

* Tue Apr  4 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.1i-5mdk
- Fix another chmousucks in menu (yes me too i can believe it).

* Mon Apr  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.1i-4mdk
- Fix chmousucks in menu.
- Add icons in menu.

* Fri Mar 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.1i-3mdk
- Fix menu entry (don't only cp the meny entry from your debian box
  dindin ;)).

* Fri Mar 24 2000 DindinX <odin@mandrakesoft.com> 1.0.1i-2mdk
- Specs and group fixes
- Added menu support

* Sun Feb 06 2000 Andre Steden <andre@steden.de>
- 1.0.1
- add compressed folders patch
- add colour patch

* Sat Nov 06 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release

* Thu Oct 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.0.

* Wed Oct  6 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 1.0pre3.

* Mon Aug 09 1999 Daouda LO <daouda@mandrakesoft.com>
 -0.95.7
 -added manual.sgml in documents.

* Sun May 09 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fix bug of locales.

* Wed Apr 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Mandrake adaptations.
- update to 0.99.5.

* Mon Mar  8 1999 Bill Nottingham <notting@redhat.com>
-  update to 0.95.4 - fixes a /tmp race

* Wed Feb 24 1999 Bill Nottingham <notting@redhat.com>
- the RETURN OF WMCONFIG! Aiyeee!

* Fri Feb 12 1999 Bill Nottingham <notting@redhat.com>
- 0.95.3 - fixes mailcap handling

* Mon Jan  4 1999 Bill Nottingham <notting@redhat.com>
- 0.95.1

* Sat Dec 12 1998 Bill Nottingham <notting@redhat.com>
- 0.95

* Fri Jul 31 1998 Bill Nottingham <notting@redhat.com>
- backport some 0.94.2 security fixes
- fix un-setgid
- update to 0.93.2

* Tue Jul 28 1998 Jeff Johnson <jbj@redhat.com>
- security fix
- update to 0.93.1.
- turn off setgid mail.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Apr 21 1998 Cristian Gafton <gafton@redhat.com>
- updated to 0.91.1

* Fri Apr 10 1998 Cristian Gafton <gafton@redhat.com>
- updated to mutt-0.89.1

* Thu Oct 16 1997 Otto Hammersmith <otto@redhat.com>
- Updated to mutt 0.85.
- added wmconfig entries.
- removed mime.types

* Mon Sep 1 1997 Donnie Barnes <djb@redhat.com>
- Rebuilt to insure all sources were fresh and patches were clean.

* Wed Aug 6 1997 Manoj Kasichainula <manojk@io.com>
 - Initial version for 0.81(e)
